'
' XYDRV32.BAS [2.4.0]
'

%XY_IDLE = 0
%XY_RUNNING = -1

' XYDRVER error codes

%XY_NO_ERROR = 0
%XY_UNKNOWN_ERROR = -300
%XY_ALREADY_ACTIVE_ERROR = -301
%XY_CANNOT_OPEN_ERROR = -302
%XY_EMPTY_FILE_ERROR = -303
%XY_NO_STARTUP_CHAR_ERROR = -304
%XY_NOT_NCG_ERROR = -305
%XY_DISK_READ_ERROR = -306
%XY_NO_EOT_ACK_ERROR = -307
%XY_INTERNAL_ERROR = -308
%XY_CANCELLED_ERROR = -309
%XY_OUT_OF_SYNC_ERROR = -310
%XY_RETRIES_ERROR = -311
%XY_BAD_PACKET_NBR_ERROR = -312
%XY_TIMED_OUT_ERROR = -313
%XY_NO_SUCH_FILE_ERROR = -314
%XY_NOT_ACTIVE_ERROR = -315
%XY_PORT_RANGE_ERROR = -316
%XY_DISK_WRITE_ERROR = -317
%XY_ABORTED_ERROR = -318
%XY_MEMORY_ERROR = -319
%XY_SHORT_PACKET = -320

' xyGetParameter commands

%XY_GET_ERROR_CODE = 0
%XY_GET_ERROR_STATE = 1
%XY_GET_PACKET = 2
%XY_GET_STATE = 3
%XY_GET_FILE_SIZE = 4
%XY_GET_NBR_NAKS = 5
%XY_GET_DEBUG = 6
%XY_GET_LAST_GET = 7
%XY_GET_LAST_PUT = 8
%XY_GET_GET_COUNT = 9
%XY_GET_PUT_COUNT = 10
%XY_GET_DRIVER_COUNT = 11
%XY_GET_VERSION = 12

' xySetParameter commands

%XY_SET_NAK_RATE     = 52
%XY_SET_EOF_CHAR     = 53
%XY_SET_STARTUP_WAIT = 54
%XY_SET_ONE_SECOND   = 55
%XY_SET_BURST_SIZE   = 56
%XY_SET_BURST_SLEEP  = 57
 
Declare Sub xyError SDECL LIB "XYDRV32.DLL" ALIAS "xyError" (ByVal xPort As Long, Text As Asciiz)
Declare Function xyAbort SDECL LIB "XYDRV32.DLL" ALIAS "xyAbort" (ByVal xPort As Long) As Long
Declare Function xyAcquire SDECL LIB "XYDRV32.DLL" ALIAS "xyAcquire" (ByVal FirstxPort As Long, ByVal LastxPort As Long) As Long
Declare Function xyDebug SDECL LIB "XYDRV32.DLL" ALIAS "xyDebug" (ByVal xPort As Long) As Long
Declare Function xyDriver SDECL LIB "XYDRV32.DLL" ALIAS "xyDriver" (ByVal xPort As Long) As Long
Declare Function xyGetFileName SDECL LIB "XYDRV32.DLL" ALIAS "xyGetFileName" (ByVal xPort As Long, Text As Asciiz, ByVal Size As Long) As Long
Declare Function xyGetMessage SDECL LIB "XYDRV32.DLL" ALIAS "xyGetMessage" (ByVal xPort As Long, Text As Asciiz, ByVal Size As Long) As Long
Declare Function xyGetParameter SDECL LIB "XYDRV32.DLL" ALIAS "xyGetParameter" (ByVal xPort As Long, ByVal Parm As Long) As Long
Declare Function xyRelease SDECL LIB "XYDRV32.DLL" ALIAS "xyRelease" () As Long
Declare Function xyStartRx SDECL LIB "XYDRV32.DLL" ALIAS "xyStartRx" (ByVal xPort As Long, Buffer As Asciiz, ByVal NCRchar As Long, ByVal Batch As Long) As Long
Declare Function xyStartTx SDECL LIB "XYDRV32.DLL" ALIAS "xyStartTx" (ByVal xPort As Long, Buffer As Asciiz, ByVal OneKflag As Long, ByVal Batch As Long) As Long
