'
' WSC32.BAS [for PowerBasic Console Compiler 1.0 and 2.0 ONLY]
'

Declare Function SioBaud SDECL Lib "WSC32.DLL" ALIAS "SioBaud" (ByVal xPort As Long, ByVal BaudCode As Long) As Long
Declare Function SioBrkSig SDECL Lib "WSC32.DLL" ALIAS "SioBrkSig" (ByVal xPort As Long, ByVal Cmd As Long) As Long
Declare Function SioCTS SDECL Lib "WSC32.DLL" ALIAS "SioCTS" (ByVal xPort As Long) As Long
Declare Function SioDCD SDECL Lib "WSC32.DLL" ALIAS "SioDCD" (ByVal xPort As Long) As Long
Declare Function SioDone SDECL Lib "WSC32.DLL" ALIAS "SioDone" (ByVal xPort As Long) As Long
Declare Function SioDSR SDECL Lib "WSC32.DLL" ALIAS "SioDSR" (ByVal xPort As Long) As Long
Declare Function SioDTR SDECL Lib "WSC32.DLL" ALIAS "SioDTR" (ByVal xPort As Long, ByVal Char As Long) As Long
Declare Function SioEvent SDECL Lib "WSC32.DLL" ALIAS "SioEvent" (ByVal xPort As Long, ByVal Mask As Long) As Long
Declare Function SioFlow SDECL Lib "WSC32.DLL" ALIAS "SioFlow" (ByVal xPort As Long, ByVal Code As Long) As Long
Declare Function SioGetc SDECL Lib "WSC32.DLL" ALIAS "SioGetc"  (ByVal xPort As Long) As Long
Declare Function SioGets SDECL Lib "WSC32.DLL" ALIAS "SioGets" (ByVal xPort As Long, Buffer As Asciiz, ByVal BufLen As Long) As Long
Declare Function SioInfo SDECL Lib "WSC32.DLL" ALIAS "SioInfo" (ByVal Cmd As Long) As Long
Declare Function SioMessage SDECL Lib "WSC32.DLL" ALIAS "SioMessage" (ByVal xPort As Long, ByVal xHandle As Long, ByVal MsgCode As Long, ByVal xMask As Long) As Long
Declare Function SioParms SDECL Lib "WSC32.DLL" ALIAS "SioParms" (ByVal xPort As Long, ByVal Code1 As Long, ByVal Code2 As Long, ByVal Code3 As Long) As Long
Declare Function SioPutc SDECL Lib "WSC32.DLL" ALIAS "SioPutc" (ByVal xPort As Long, ByVal Char As Long) As Long
Declare Function SioPuts SDECL Lib "WSC32.DLL" ALIAS "SioPuts" (ByVal xPort As Long, Buffer As Asciiz, ByVal BufLen As Long) As Long
Declare Function SioRead SDECL Lib "WSC32.DLL" ALIAS "SioRead" (ByVal xPort As Long, ByVal RegNbr As Long) As Long
Declare Function SioReset SDECL Lib "WSC32.DLL" ALIAS "SioReset"  (ByVal xPort As Long, ByVal RxQueSize As Long, ByVal TxQueSize As Long) As Long
Declare Function SioRI SDECL Lib "WSC32.DLL" ALIAS "SioRI" (ByVal xPort As Long) As Long
Declare Function SioRTS SDECL Lib "WSC32.DLL" ALIAS "SioRTS" (ByVal xPort As Long, ByVal Char As Long) As Long
Declare Function SioRxClear SDECL Lib "WSC32.DLL" ALIAS "SioRxClear" (ByVal xPort As Long) As Long
Declare Function SioRxQue SDECL Lib "WSC32.DLL" ALIAS "SioRxQue" (ByVal xPort As Long) As Long
Declare Function SioStatus SDECL Lib "WSC32.DLL" ALIAS "SioStatus" (ByVal xPort As Long, ByVal Mask As Long) As Long
Declare Function SioTimer SDECL Lib "WSC32.DLL" ALIAS "SioTimer" () As Long
Declare Function SioTxClear SDECL Lib "WSC32.DLL" ALIAS "SioTxClear" (ByVal xPort As Long) As Long
Declare Function SioTxQue SDECL Lib "WSC32.DLL" ALIAS "SioTxQue" (ByVal xPort As Long) As Long
Declare Function SioUnGetc SDECL Lib "WSC32.DLL" ALIAS "SioUnGetc" (ByVal xPort As Long, ByVal Char As Long) As Long
Declare Function SioWinError SDECL Lib "WSC32.DLL" ALIAS "SioWinError" (Buffer As Asciiz, ByVal Size As Long) As Long

' COM port codes

%COM1 = 0
%COM2 = 1
%COM3 = 2
%COM4 = 3
%COM5 = 4
%COM6 = 5
%COM7 = 6
%COM8 = 7
%COM9 = 8
%COM10 = 9
%COM11 = 10
%COM12 = 11
%COM13 = 12
%COM14 = 13
%COM15 = 14
%COM16 = 15

' Parity Codes

%WSC_NoParity = 0
%WSC_OddParity = 1
%WSC_EvenParity = 2
%WSC_MarkParity = 3
%WSC_SpaceParity = 4

' Stop Bit Codes

%WSC_OneStopBit = 0
%WSC_TwoStopBits = 2

' Word Length Codes

%WSC_WordLength5 = 5
%WSC_WordLength6 = 6
%WSC_WordLength7 = 7
%WSC_WordLength8 = 8

' baud codes

%WSC_Baud110 = 0
%WSC_Baud300 = 1
%WSC_Baud1200 = 2
%WSC_Baud2400 = 3
%WSC_Baud4800 = 4
%WSC_Baud9600 = 5
%WSC_Baud19200 = 6
%WSC_Baud38400 = 7
%WSC_Baud57600 = 8
%WSC_Baud115200 = 9

' SioGetError Masks

%WSC_RXOVER = &H1
%WSC_OVERRUN = &H2
%WSC_PARITY = &H4
%WSC_FRAME = &H8
%WSC_BREAK = &H10
%WSC_TXFULL = &H100

' Command codes

%WSC_ASSERT_BREAK = 65
%WSC_CANCEL_BREAK = 67
%WSC_DETECT_BREAK = 68

%WSC_SET_LINE = 83
%WSC_CLEAR_LINE = 67
%WSC_READ_LINE = 82

' Return codes

%WSC_IE_BADID = -1
%WSC_IE_OPEN = -2
%WSC_IE_NOPEN = -3
%WSC_IE_MEMORY = -4
%WSC_IE_DEFAULT = -5
%WSC_IE_HARDWARE = -10
%WSC_IE_BYTESIZE = -11
%WSC_IE_BAUDRATE = -12
%WSC_NO_DATA = -100
%WSC_RANGE = -101
%WSC_ABORTED = -102
%WSC_WIN32ERR = -103
%WSC_EXPIRED = -104
%WSC_BUFFERS = -105
%WSC_THREAD = -106
